Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dgees

scipy.linalg.lapack.dgees(dselect, a[, compute_v, sort_t, lwork, dselect_extra_args, overwrite_a]) = <fortran function dgees>

  Wrapper for `dgees`.

  Parameters:
    dselect call-back function
    a input rank-2 array(‘d’) with bounds (n,n)
  Returns:
    t rank-2 array(‘d’) with bounds (n,n) and a storage
    sdim int
    wr rank-1 array(‘d’) with bounds (n)
    wi rank-1 array(‘d’) with bounds (n)
    vs rank-2 array(‘d’) with bounds (ldvs,n)
    work rank-1 array(‘d’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    compute_v input int, optional

      Default: 1

    sort_t input int, optional

      Default: 0

    dselect_extra_args input tuple, optional

      Default: ()

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(3*n,1)

  Notes

  Call-back functions:

      def dselect(arg1,arg2): return dselect
      Required arguments:
          arg1 : input float
          arg2 : input float
      Return objects:
          dselect : int